Description

The selection options that [[inkscape|http://inkscape.org/]] uses in the "Fill and Stroke" menu for flat color would be really great to have.

Some of the features that inkscape has that would be nice to have:

- Listing the color in hexadecimal format (for easy copy/pasting)

- Being able to flip through from RGB->HSL->CMYK->Wheel selection methods

- The various color methods live update, so you can see what the options are.

Included is a screen-shot from Inkscape showing the options that it would be nice to have.

Thank you guys for all of your hard work!

History

#1 - 2013-12-11 05:31 AM - Giovanni Manghi

- Category set to GUI

- Target version set to Future Release - Nice to have

#2 - 2013-12-17 11:56 PM - Denis Rouzaud

- Status changed from Open to Feedback

If I am right, we use Qt native QColorDialog for choosing color, so we don't have the liberty of doing this.

#3 - 2013-12-18 03:05 AM - Nyall Dawson

There may be significant benefit to moving to our own custom colour picker. CMYK colour picking in particular has been requested in the past to aid in

colour choice for printed maps*.

Besides the features listed here, I'd like to see some type of colour theme/palette support in QGIS, which could be possible in a custom colour dialog.

    -  I realise QGIS wouldn't actually work using a native CMYK colour space, but limiting the choice of available colours to colours in the CMYK gamut

would still help considerably with printed map design.

#4 - 2014-06-10 01:42 AM - Graham van de Ruit

I would also love to see support for CMYK colour. Many of the maps I design are for print, and particularly when it’s for a newspaper printing environment I

like to be able to specify the inks precicely. For example, using 100% of one ink gives much crisper results than any tint or combination of inks. Currently I

export the map as a PDF and recolour in Illustrator. This is OK if I do it once or twice, but frustrating if I have to do it every time the map needs to be

updated.
I’m curious, Nyall, why you say “QGIS wouldn’t actually work using a native CMYK colour space”?

Thanks to all involved for making this a great piece of software and community to work with.

#5 - 2016-01-27 05:28 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Added a few versions ago. I'd argue ours exceeds inkscape's now ;)
